사용자
사용자 멘션 조회
GET /v1/users/{screen_name}/mentions reads 2 크레딧
계정을 멘션한 다른 계정의 게시물, 최신순. 필요하면 시간 범위를 지정할 수 있습니다.
쿼리 매개변수
| 쿼리 파라미터 | 타입 | 의미 |
|---|---|---|
count | int 1–100 = 20 | 요청 페이지 크기. X는 힌트로 취급 |
cursor | string | 이전 페이지의 next_cursor에서 |
since | int (unix s) | Unix 초. 이 시각 이후(포함)의 게시물만 |
until | int (unix s) | Unix 초. 이 시각 이전의 게시물만 |
응답
계정, 실제 적용된 query, 멘션한 게시물, 다음 페이지 커서(끝이면 null). 필드별 설명: Tweet (읽기).
상태: 200, 400, 404, 429, 502
요청
curl https://api.xsignalfeed.com/v1/users/nasa/mentions?count=20&since=1789355169 \ -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
"user": {
"id": "11348282",
"screen_name": "NASA"
},
"query": "@NASA since_time:1789355169",
"tweets": [
{
"id": 2100419202985185543,
"created_ms": 1789613936550,
"user_id": 9000001,
"user": "some_fan",
"name": "Some Fan",
"text": "@NASA …",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100419202985185543",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [],
"media_items": [],
"urls": [],
"views": "20",
"counts": {
"reply": 0,
"rt": 0,
"like": 0,
"quote": 0,
"bookmark": 0
}
},
{
"…": "…"
}
],
"next_cursor": "DAADDAABCgABHSYwIvlXUQcKAAIdJiwgaJcw8AAIAAIAAAACCAADAAAAAAgABAAAAAAKAAUdJjHNpkA…"
}